#!/usr/bin/python

# a) Change read and unread properties of local or imap message 
# b) This case doesn't cover function: new message change to read status few seconds 

import time, re

from ldtp import *
from ldtputils import *

def mark_read():
	try:
		if imaporlocal == '2': 
			imap = 2
	  	else: 
			imap =1	
		#selectrowpartialmatch ('frmEvolution-Mail', 'ttblMailFolderTree',folder)
                selectrow ('frmEvolution-Mail','ttblMailFolderTree','Inbox', imap)
		count = getrowcount ('frmEvolution-Mail', 'ttblMessageList')
		if count <= 1:
		        log ('There are too few  message in this folder', 'fail')
                        raise LdtpExecutionError (0)

                selectrowindex('frmEvolution-Mail', 'ttblMessageList', 0)
                read_status = getcellvalue('frmEvolution-Mail', 'ttblMessageList',1,0)
		if (read_status == '1'):
			selectmenuitem('frmEvolution-Mail','mnuUnread')

		time.sleep(2)

		selectmenuitem('frmEvolution-Mail','mnuRead')
                time.sleep(2) 
		read_status = getcellvalue('frmEvolution-Mail', 'ttblMessageList',1,0)
		if read_status == '1':
			log ('Mark to Read passed', 'pass')
		else:
			log ('Mark to Read failed', 'fail')
			raise LdtpExecutionError (0)

        except ldtp.error, msg:
                log ('Properties of read' + ' failed '+ str (msg), 'cause')
                #log ('Search based on ' + search_type + ' failed', 'fail')
                raise LdtpExecutionError (0)
	
		
def mark_junk():
        try:
                click ('frmEvolution-Mail', 'tbtnMail')
                time.sleep(1)
                selectrowpartialmatch ('frmEvolution-Mail', 'ttblMailFolderTree', folder)
                selectrowpartialmatch ('frmEvolution-Mail', 'ttblMessageList', 'evo')
        except ldtp.error, msg:
                log ('Properties of junk' + ' failed '+ str (msg), 'cause')
                #log ('Search based on ' + search_type + ' failed', 'fail')
                raise LdtpExecutionError (0)


#Main start here
data_object = LdtpDataFileParser (datafilename)
folder = data_object.gettagvalue ('folder')[0]
imaporlocal = data_object.gettagvalue ('imaporlocal')[0]

mark_read()
