#!/usr/bin/python

# a) Create a new message
# b) Click 'Save to draft' button
# c) Check the result in local Draft 

import time, re

from ldtp import *
from ldtputils import *

def save2draft(message_to, subject, content):
	try:
		click ('frmEvolution-Mail', 'tbtnMail')
                click ('frmEvolution-Mail', 'btnNew')
                compose_show = waittillguiexist('frmComposeamessage')
		if compose_show == 0:
		        log ('Can not open Compose a message window', 'fail')
                        raise LdtpExecutionError (0)
		settextvalue ('frmComposeamessage', 'txtTo', message_to)
                settextvalue ('frmComposeamessage', 'txt6', content)
                settextvalue ('frmComposeamessage', 'txtSubject',subject)
                setcontext ('Compose a message', subject) 
    		time.sleep(2)
		click ('frmComposeamessage', 'btnSaveDraft')
		time.sleep(1)
                selectmenuitem('frmComposeamessage', 'mnuFile;mnuClose')

                #releasecontext(subject, 'Compose a message') 
		selectrowpartialmatch ('frmEvolution-Mail', 'ttblMailFolderTree', 'Draft')
                time.sleep(2)
	
                result = selectrow('frmEvolution-Mail', 'ttblMessageList', subject)
                if result == 0:
                        log ('Can not find the message saved to Draft','fail')
                        raise LdtpExecutionError (0)

                selectlastrow('frmEvolution-Mail', 'ttblMessageList')
                selectmenuitem('frmEvolution-Mail', 'mnuMessage;mnuOpeninNewWindow')
		compose_show = waittillguiexist('frmComposeamessage')

                if compose_show == 0:
                        log ('Can not open a message in Draft', 'fail')
                        raise LdtpExecutionError (0)

                #setcontext ('Compose a message', subject)
		message_to_result = verifysettext('frmComposeamessage', 'txtTo', message_to)
 		subject_result = verifysettext('frmComposeamessage', 'txtSubject', subject)
		content_result = verifysettext('frmComposeamessage', 'txt6', content)
                selectmenuitem('frmComposeamessage', 'mnuFile;mnuClose')

                releasecontext(subject, 'Compose a message')
 
		if message_to_result == 0:
			log ('Sender is not matching','fail')
		elif subject_result == 0:
			log ('Subject is not matching', 'fail')
		elif content_result == 0:
			log ('Content is not matching', 'fail')
		else:
			log ('Save to Draft passed', 'pass')


        except ldtp.error, msg:
                log ('Save to Draft' + ' failed '+ str (msg), 'cause')
                #log ('Search based on ' + search_type + ' failed', 'fail')
                raise LdtpExecutionError (0)
	
		

#Start here
data_object = LdtpDataFileParser (datafilename)
message_to = data_object.gettagvalue ('message_to')[0]
folder = data_object.gettagvalue ('folder')[0]
subject = data_object.gettagvalue ('subject')[0]
content = data_object.gettagvalue ('content')[0]

save2draft (message_to, subject, content)
	
